Bug 765214 - (GLUSTER-3482) mountbroker service
mountbroker service
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
medium Severity low
: ---
: ---
Assigned To: Csaba Henk
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-08-25 07:06 EDT by Csaba Henk
Modified: 2015-12-01 11:45 EST (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa45
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Csaba Henk 2011-08-25 04:09:02 EDT
See spec:

https://gist.github.com/71ff8faa041425662185
Comment 1 Csaba Henk 2011-08-25 07:06:21 EDT
Add an RPC service to glusterd by which the cli can ask it to perform mounts on its behalf.

The mount are given access to only the user requested by the cli. Moreover, that user gets full control over the mount (allowed to do privileged operations). Granting mounts to users are controlled by glusterd volume config.

This way we can lease privileges over a volume to an unprivileged system user in a controlled way.
Comment 2 Anand Avati 2011-09-12 06:23:14 EDT
CHANGE: http://review.gluster.com/128 (Mountbroker is configured in glusterd volfile through a DSL) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 3 Anand Avati 2011-09-15 21:56:15 EDT
CHANGE: http://review.gluster.com/432 (Change-Id: I8a88d2b9228c3614ee7cbaf48782a419e6aee0f6) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 4 Anand Avati 2012-02-27 07:40:40 EST
CHANGE: http://review.gluster.com/2817 (glusterd/mountbroker: fix handling of MEET mountbroker keyword) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 5 Anand Avati 2012-03-14 13:59:07 EDT
CHANGE: http://review.gluster.com/2818 (glusterd/mountbroker: enhance mountbroker-geo-replication.* option to take multiple volumes) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 6 Anand Avati 2012-05-19 01:27:01 EDT
CHANGE: http://review.gluster.com/3171 (glusterd / mountbroker: warn if mountbroker-root permissions are suspected to be too strict) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.